Bug 247261 - mail/fetchmail: update to 6.4.8
Summary: mail/fetchmail: update to 6.4.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthias Andree
URL:
Keywords: buildisok, patch-ready
Depends on: 246937
Blocks:
  Show dependency treegraph
 
Reported: 2020-06-14 18:31 UTC by Matthias Andree
Modified: 2020-06-15 08:13 UTC (History)
2 users (show)

See Also:
chalpin: maintainer-feedback+
mandree: merge-quarterly+


Attachments
update fetchmail port to 6.4.8 (from 6.4.4) (1.34 KB, patch)
2020-06-14 18:31 UTC, Matthias Andree
chalpin: maintainer-approval+
Details | Diff
xz-compressed build log from poudriere on 12.1 amd64 (8.83 KB, application/x-xz-compressed)
2020-06-14 18:33 UTC, Matthias Andree
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Andree freebsd_committer 2020-06-14 18:31:44 UTC
Created attachment 215555 [details]
update fetchmail port to 6.4.8 (from 6.4.4)

Note that the 6.4.5 regression fix was irrelevant to supported FreeBSD versions.
I intend to MFH this to 2020Q2 (unless this would only be committed after maintainer timeout, then the hassle wouldn't make sense for three days before July 1st)

These are the release notes for new releases:

---------------------------------------------------------------------------------
fetchmail-6.4.8 (released 2020-06-14, 27596 LoC):

## NEW TRANSLATION, with thanks to the translator:
* sr:    Мирослав Николић (Miroslav Nikolić) [Serbian]
- Sorry, this was missed earlier because my translation scripts did not properly
  report new translations.
---------------------------------------------------------------------------------
fetchmail-6.4.7 (released 2020-06-14, 27596 LoC):

## TRANSLATION UPDATE, with thanks to the translator:
* sv:    Göran Uddeborg [Swedish]
-------------------------------------------------------------------------------
fetchmail-6.4.6 (released 2020-05-29, 27596 LoC):

## TRANSLATION UPDATE, with thanks to the translator:
* eo:    Felipe Castro [Esperanto]
--------------------------------------------------------------------------------
fetchmail-6.4.5 (released 2020-05-07, 27596 LoC):

## REGRESSION FIX:
* fetchmail 6.4.0 and 6.4.1 changed the resolution of the home directory
  in a way that requires SUSv4 semantics of realpath(), which leads to
  'Cannot find absolute path for... directory' error messages followed by aborts
  on systems where realpath() follows strict SUSv2 semantics and returns
  EINVAL if the 2nd argument is NULL.

  On such systems, for instance, Solaris 10, fetchmail requires PATH_MAX to be
  defined, and will then work again.  Regression reported by David Hough.

  On systems that neither provide auto-allocation semantics for realpath(),
  nor PATH_MAX, fetchmail will print this error and abort. Such systems
  are unsupported, see README.

## CHANGES:
* Add a test program fm_realpath, and a t.realpath script, neither to be
  installed. These will test resolution of the current working directory.

## TRANSLATION UPDATES in reverse alphabetical order of language codes,
## with my thanks to the translators:
* zh_CN: Boyuan Yang [Chinese (simplified)]
* sv:    Göran Uddeborg [Swedish]
* sq:    Besnik Bleta [Albanian]
* pl:    Jakub Bogusz [Polish]
* ja:    Takeshi Hamasaki [Japanese]
* fr:    Frédéric Marchal [French]
* cs:    Petr Pisar [Czech]
--------------------------------------------------------------------------------
Comment 1 Matthias Andree freebsd_committer 2020-06-14 18:33:12 UTC
Created attachment 215556 [details]
xz-compressed build log from poudriere on 12.1 amd64
Comment 2 Corey Halpin 2020-06-15 03:31:30 UTC
Comment on attachment 215555 [details]
update fetchmail port to 6.4.8 (from 6.4.4)

Looks good to me! I approve this patch.

This renders https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=246937 obsolete.
Comment 3 Fernando Apesteguía freebsd_committer 2020-06-15 06:54:07 UTC
^Triage: Reporter is committer, assign accordingly.
Comment 4 commit-hook freebsd_committer 2020-06-15 07:53:37 UTC
A commit references this bug:

Author: mandree
Date: Mon Jun 15 07:53:05 UTC 2020
New revision: 538858
URL: https://svnweb.freebsd.org/changeset/ports/538858

Log:
  mail/fetchmail: update to 6.4.8, adds Serbian translation, ...

  and updates a few other translations:
  Czech, French, Japanese, Polish, Albanian, Swedish, Chinese/simplified,
  Esperanto.

  PR:		247261
  Approved by:	chalpin@cs.wisc.edu (Corey Halpin, maintainer)
  MFH:		2020Q2 (translation updates)

Changes:
  head/mail/fetchmail/Makefile
  head/mail/fetchmail/distinfo
  head/mail/fetchmail/pkg-plist
Comment 5 commit-hook freebsd_committer 2020-06-15 08:12:43 UTC
A commit references this bug:

Author: mandree
Date: Mon Jun 15 08:12:18 UTC 2020
New revision: 538861
URL: https://svnweb.freebsd.org/changeset/ports/538861

Log:
  MFH: r538858

  mail/fetchmail: update to 6.4.8, adds Serbian translation, ...

  and updates a few other translations:
  Czech, French, Japanese, Polish, Albanian, Swedish, Chinese/simplified,
  Esperanto.

  PR:		247261
  Approved by:	chalpin@cs.wisc.edu (Corey Halpin, maintainer)

  Approved by:	ports-secteam@ (JoNeum@)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/mail/fetchmail/Makefile
  branches/2020Q2/mail/fetchmail/distinfo
  branches/2020Q2/mail/fetchmail/pkg-plist